Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class ReadMeetingRequestModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.ReadMailModel
                  portlets.compoze.groupware.model.mail.ReadMeetingRequestModel

All Implemented Interfaces:
  java.io.Serializable

public class ReadMeetingRequestModel
extends ReadMailModel
implements java.io.Serializable

This class represents the data model for the read meeting request (`read_meeting_request.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`ReadMeetingRequestModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`MeetingRequest` | `getMeetingRequest()` Gets the meeting request.
`boolean` | `isAcceptAvailable()` Gets true if the accept functionality should be available in the user interface or false otherwise.
`boolean` | `isDeclineAvailable()` Gets true if the decline functionality should be available in the user interface or false otherwise.
`boolean` | `isDelegateAvailable()` Gets true if the delegate functionality should be available in the user interface or false otherwise.
`boolean` | `isProposeNewTimeAvailable()` Gets true if the propose new time functionality should be available in the user interface or false otherwise.
`boolean` | `isRequestInformationAvailable()` Gets true if the request information functionality should be available in the user interface or false otherwise.
`void` | `setMeetingRequest(MeetingRequest mr)` Sets the meeting request.

Methods inherited from class portlets.compoze.groupware.model.mail.ReadMailModel
`getCurrentFolderID, getFolderNavigation, getMessage, getMessageCount, getPagination, getProvider, isCommentsSectionAvailable, isDeleteAvailable, isFirstMessage, isFirstMessageInList, isForwardAvailable, isLastMessage, isLastMessageInList, isMoveToFolderAvailable, setCurrentFolderID, setFolderNavigation, setMessage, setMessageCount, setPagination, setProvider`

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadMeetingRequestModel

    public ReadMeetingRequestModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                   FeatureGroup featureGroup,
                                   GroupwarePreferences groupwarePrefs,
                                   MailPreferences mailPrefs,
                                   Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### setMeetingRequest

    public void setMeetingRequest(MeetingRequest mr)

  Sets the meeting request.

  Parameters:
    `mr` - the meeting request (may not be `null`)

### getMeetingRequest

    public MeetingRequest getMeetingRequest()

  Gets the meeting request.

  Returns:
    the meeting request

### isAcceptAvailable

    public boolean isAcceptAvailable()

  Gets true if the accept functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the accept functionality should be available in the user interface or `false` otherwise

### isDeclineAvailable

    public boolean isDeclineAvailable()

  Gets true if the decline functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the decline functionality should be available in the user interface or `false` otherwise

### isProposeNewTimeAvailable

    public boolean isProposeNewTimeAvailable()

  Gets true if the propose new time functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the propose new time functionality should be available in the user interface or `false` otherwise

### isDelegateAvailable

    public boolean isDelegateAvailable()

  Gets true if the delegate functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the delegate functionality should be available in the user interface or `false` otherwise

### isRequestInformationAvailable

    public boolean isRequestInformationAvailable()

  Gets true if the request information functionality should be available in the user interface or false otherwise.

  Returns:
    `true` if the request information functionality should be available in the user interface or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.